WordPress 5.0 Is Here – What Changes And How to Ensure Maximum Compatibility

After months of hype, WordPress 5.0 “Bebo” was finally launched! In this quick post we’ll focus on compatibility. What Changed? The major addition is related to the Gutenberg visual builder. The idea is straightforward – it organizes pages in building blocks so that the users can easily reorganize different elements as they see fit. The […]

The post WordPress 5.0 Is Here – What Changes And How to Ensure Maximum Compatibility appeared first on CreativeMinds.

Spread the love

After months of hype, WordPress 5.0 “Bebo” was finally launched! In this quick post we’ll focus on compatibility.

What Changed?

The major addition is related to the Gutenberg visual builder. The idea is straightforward – it organizes pages in building blocks so that the users can easily reorganize different elements as they see fit. The promise: more WYSIWYG (What You See is What You Get) and quicker results.

Related Stories:

Gutenberg was originally announced in early 2017, had a series of demo builds across the months and now, with the 5.0 update, becomes part of the WordPress core.

WordPress has prepared a nifty video overview of Gutenberg:

Other news in the update include a new default theme called Twenty Nineteen, JavaScript i18n support, new REST API endpoints and more.

You can read all about it from this handy WordPress Field Guide.

Are There Any Compatibility Issues With CreativeMinds’s Plugins?

Our developer team has been testing the Gutenberg beta for months now and we didn’t find any major compatibility issue so far.

However, caution is always advisable while updating technologies.

I Found a Bug! What To Do?

If you face bugs or conflicts in CreativeMinds’s products just after updating your WordPress or while using Gutenberg, please get in touch with us as soon as possible. This way we can take a look at the issue.

Use the support request form or send an email to support@cminds.com. Note that you need to hold a valid license key!

How Can I Ensure Maximum Compatibility?

An image of two cords connecting to the WordPress logo.

It’s not mandatory to update your WordPress installation to 5.0. However, depending on the way it is set up, it might update automatically.

Anyway, WordPress 5.0 should not affect any of your old content. Content created before the update will be wrapped inside a “Classic” editor block.

If you would like to retain the previous editing interface and experience, you have two options:

Finally, we encourage more advanced WP users and developers to check the Troubleshooting forum hosted by WordPress.org, where users can find quick help on issues small and big.

Facebook Comments
Spread the love

Posted by News Monkey